## org.firebirdsql.jdbc
Interface FBObjectListener.BlobListener

All Known Implementing Classes:
  InternalTransactionCoordinator, InternalTransactionCoordinator.AbstractTransactionCoordinator, InternalTransactionCoordinator.AutoCommitCoordinator, InternalTransactionCoordinator.LocalTransactionCoordinator, InternalTransactionCoordinator.ManagedTransactionCoordinator, InternalTransactionCoordinator.MetaDataTransactionCoordinator

Enclosing interface:
  FBObjectListener

    public static interface FBObjectListener.BlobListener

Listener for the events generated by BLOBs.

Method Summary
`void` `executionCompleted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been completed.
`void` `executionStarted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been started.

Method Detail

### executionStarted

    void executionStarted(FirebirdBlob blob)
                          throws SQLException

  Notify listener that execution of some BLOB operation had been started.

  Parameters:
    `blob` - instance of `FirebirdBlob` that caused this event.
  Throws:
    `SQLException` - if something went wrong.

### executionCompleted

    void executionCompleted(FirebirdBlob blob)
                            throws SQLException

  Notify listener that execution of some BLOB operation had been completed.

  Parameters:
    `blob` - instance of `FirebirdBlob` that caused this event.
  Throws:
    `SQLException` - if something went wrong.

Copyright © 2001-2010. All Rights Reserved.